import { Box, Heading, Table, Thead, Tbody, Tr, Th } from '@chakra-ui/react';
import React from 'react';
import { ordersData } from '../../mocks';
import OrderItem from '../OrderItem';

const Orders = () => {
  const TABLE_HEADERS = [
    'Номер машины',
    'Время мойки',
    'Дата заказа',
    'Статус',
    'Телефон',
    'Расположение',
  ];
  return (
    <Box p='8'>
      <Heading size='lg' mb='5'>
        Заказы
      </Heading>
      <Table variant='simple' colorScheme='blackAlpha'>
        <Thead>
          <Tr>
            {TABLE_HEADERS.map((name, key) => (
              <Th key={key}>{name}</Th>
            ))}
          </Tr>
        </Thead>
        <Tbody>
          {ordersData.map((order, index) => (
            <OrderItem key={index} {...order} />
          ))}
        </Tbody>
      </Table>
    </Box>
  );
};

export default Orders;
